{{- if .Values.istio.gateways.public.enabled -}}
---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: istio-ingress-san
  namespace: istio-ingress
  annotations:
    cert-manager.io/issue-temporary-certificate: "true"
spec:
  dnsNames: {{ toYaml .Values.istio.gateways.public.ssl.hosts | nindent 4 }}
  issuerRef:
    kind: ClusterIssuer
    name: {{ toYaml .Values.istio.gateways.public.ssl.issuer | nindent 6 }}
  secretName: istio-ingress-san-tls
{{- end -}}
